gnutls_cipher_decrypt(3)

NAME
gnutls_cipher_decrypt - API function

SYNOPSIS
#include <gnutls/crypto.h>

int gnutls_cipher_decrypt(gnutls_cipher_hd_t handle, void * ciphertext, size_t ciphertextlen);

ARGUMENTS

gnutls_cipher_hd_t handle
    is a gnutls_cipher_hd_t structure.

void * ciphertext
    the data to encrypt

size_t ciphertextlen
    The length of data to encrypt

DESCRIPTION
This function will decrypt the given data using the algorithm specified by the context.

RETURNS
Zero or a negative error code on error.

SINCE
2.10.0

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.
General guidelines for reporting bugs: http://www.gnu.org/gethelp/
GnuTLS home page: http://www.gnu.org/software/gnutls/

COPYRIGHT
Copyright © 2001-2013 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/gnutls/manual/